#!/usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));
var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));
var _fs = _interopRequireDefault(require("fs"));
var _clui = _interopRequireDefault(require("clui"));
var _lighthouseBadges = require("./lighthouse-badges");
var _argparser = _interopRequireDefault(require("./argparser"));
var CLI_SPINNER = new _clui["default"].Spinner('Running Lighthouse, please wait...', ['◜', '◠', '◝', '◞', '◡', '◟']);
var handleUserInput = /*#__PURE__*/function () {
  var _ref = (0, _asyncToGenerator2["default"])( /*#__PURE__*/_regenerator["default"].mark(function _callee(spinner) {
    var lighthouseParameters, fileContent;
    return _regenerator["default"].wrap(function _callee$(_context) {
      while (1) switch (_context.prev = _context.next) {
        case 0:
          _context.prev = 0;
          spinner.start();
          lighthouseParameters = {
            "extends": 'lighthouse:default'
          };
          if (process.env.LIGHTHOUSE_BADGES_CONFIGURATION_PATH) {
            process.stdout.write(" LIGHTHOUSE_BADGES_CONFIGURATION_PATH: ".concat(process.env.LIGHTHOUSE_BADGES_CONFIGURATION_PATH, "\n"));
            fileContent = _fs["default"].readFileSync(process.env.LIGHTHOUSE_BADGES_CONFIGURATION_PATH, 'utf8');
            lighthouseParameters = JSON.parse(fileContent);
          }
          _context.t0 = _lighthouseBadges.processParameters;
          _context.next = 7;
          return _argparser["default"].parse_args();
        case 7:
          _context.t1 = _context.sent;
          _context.t2 = _lighthouseBadges.calculateLighthouseMetrics;
          _context.t3 = lighthouseParameters;
          _context.next = 12;
          return (0, _context.t0)(_context.t1, _context.t2, _context.t3);
        case 12:
          spinner.stop();
          _context.next = 19;
          break;
        case 15:
          _context.prev = 15;
          _context.t4 = _context["catch"](0);
          process.stderr.write("".concat(_context.t4, "\n"));
          process.exit(1);
        case 19:
        case "end":
          return _context.stop();
      }
    }, _callee, null, [[0, 15]]);
  }));
  return function handleUserInput(_x) {
    return _ref.apply(this, arguments);
  };
}();
var _default = exports["default"] = handleUserInput; // Only self-invoke if not imported but called directly as executable
(function () {
  return !module.parent && handleUserInput(CLI_SPINNER);
})();